REM
REM colour test

SCREEN 9

ext = 0: ' set loop exit to off
 sp = 8
si = 30
DO
 ke$ = INKEY$
h = h + sp
    IF h > 640 THEN h = 1: v = v + sp: IF v > 200 THEN v = 1
c = c + 1: IF c > 15 THEN c = 0
  sp = INT(RND(1) * 10) + 1
LINE (h, v)-(h + sp, v + sp), c, BF

   CIRCLE (x, y), si, c
    si = si - 1
    IF si <= 2 THEN
    x = INT(RND(1) * 640) + 1
     y = INT(RND(1) * 320) + 1
    si = 30
    END IF
 
  PALETTE t, s
  REM  SLEEP 1
  s = INT(RND(1) * 63) + 1
  t = INT(RND(1) * 15) + 1

  LOCATE 21, 1: PRINT s, t



LOOP UNTIL ke$ = CHR$(27) OR ext = 1

PALETTE 0, 1
PRINT " bye !"
SLEEP

